@import "../../../styles/variables";

.IconButton {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0rem 0 0rem 1rem;
  height: 2.5rem;
  width: 3rem;
  background-color: #fff;
  border: none;
  //border-radius: 50%;
  border-radius: 4px;
  cursor: pointer;
  img {
    opacity: 0.8;
  }
}

.IconButton:focus {
  outline: none;
  background-color: lighten($primary-color, 10%);
  //border: 1px dotted $primary-color;
}

.IconButton:not([disabled]):hover {
  box-shadow: $box-shadow-1;
}

.IconButton:not([disabled]):active {
  box-shadow: $box-shadow-2;
}

/* Darker background on mouse-over */
.IconButton:hover {
  background-color: $primary-color;
}

.IconButton:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}
